## GOCalendarButton

GOCalendarButton

## Functions

GtkCalendar * | go_calendar_button_get_calendar ()
gboolean | go_calendar_button_get_date ()
GtkWidget * | go_calendar_button_new ()
void | go_calendar_button_set_date ()

## Signals

void | changed | Run First

## Types and Values

| GOCalendarButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOComboBox
                            ╰── GOCalendarButton

## Implemented Interfaces

GOCalendarButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### go_calendar_button_get_calendar ()

    GtkCalendar *
    go_calendar_button_get_calendar (GOCalendarButton *calb);

#### Parameters

calb | GOCalendarButton |

#### Returns

the embedded calendar.

[transfer none]

### go_calendar_button_get_date ()

    gboolean
    go_calendar_button_get_date (GOCalendarButton *calb,
                                 GDate *date);

### go_calendar_button_new ()

    GtkWidget *
    go_calendar_button_new (void);

### go_calendar_button_set_date ()

    void
    go_calendar_button_set_date (GOCalendarButton *calb,
                                 GDate const *date);

## Types and Values

### GOCalendarButton

    typedef struct _GOCalendarButton GOCalendarButton;

## Signal Details

### The `“changed”` signal

    void
    user_function (GOCalendarButton *gocalendarbutton,
                   gpointer          user_data)

Flags: Run First